Subject: GNU Guix | Bug - error: You found a bug: ...

From: "Harvester, Black Walnut" <[email-masked]>
Date: Mon, 29 Apr 2024 10:48:21 -0400

> guix pull
> Updating channel 'guix' from Git repository at 
> 'https://git.savannah.gnu.org/git/guix.git'...
> Authenticating channel 'guix', commits 9edb3f6 to 6489f97 (37 new 
> commits)...
> Building from this channel:
>   guix https://git.savannah.gnu.org/git/guix.git  6489f97
>  guile-3.0.9-debug 6.8MiB 2.4MiB/s 00:03 ▕██████████████████▏ 100.0%
>  libgpg-error-1.45 223KiB 438KiB/s 00:01 ▕██████████████████▏ 100.0%
>  libgcrypt-1.10.1 552KiB 2.0MiB/s 00:00 ▕██████████████████▏ 100.0%
>  guile-gcrypt-0.4.0 165KiB 1.9MiB/s 00:00 ▕██████████████████▏ 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 
> 'https://bordeaux.guix.gnu.org'... 100.0%
>  config.scm 507B 120KiB/s 00:00 ▕██████████████████▏ 100.0%
>  git.scm 105B 40KiB/s 00:00 ▕██████████████████▏ 100.0%
>  hash.scm 130B 64KiB/s 00:00 ▕██████████████████▏ 100.0%
>  module-import 2KiB 100KiB/s 00:00 ▕██████████████████▏ 100.0%
>  module-import 2KiB 130KiB/s 00:00 ▕██████████████████▏ 100.0%
>  module-import-compiled 1.5MiB 1.6MiB/s 00:01 ▕██████████████████▏ 100.0%
>  module-import-compiled 1.5MiB 4.4MiB/s 00:00 ▕██████████████████▏ 100.0%
> building 
> /gnu/store/zlszcigipf10imcybbyd080f9qx3dhpy-compute-guix-derivation.drv...
> Computing Guix derivation for 'x86_64-linux'... -guix pull: error: You 
> found a bug: the program 
> '/gnu/store/4cxhxsci7d22fc78nz7yp5scw87n0d2x-compute-guix-derivation'
> failed to compute the derivation for Guix (version: 
> "6489f97f4a999b9b5e9b1a16d51c905e0cde4cdf"; system: "x86_64-linux";
> host version: "c81ed0970007810a4662edbc3474f5afc656fe95"; 
> pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

Good morning.

After installing aris and c-graph this morning I ran guix pull. The 
above output was generated. Please let me if and how I can help resolve 
the error.

Thank you,

BWH